cURL
curl --request POST \
--url https://app-api.aide.app/v1/knowledge-documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"sourceId": "<string>",
"collectionId": "<string>",
"bodyHtml": "<string>",
"slug": "<string>"
}
'import requests
url = "https://app-api.aide.app/v1/knowledge-documents"
payload = {
"title": "<string>",
"sourceId": "<string>",
"collectionId": "<string>",
"bodyHtml": "<string>",
"slug": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
sourceId: '<string>',
collectionId: '<string>',
bodyHtml: '<string>',
slug: '<string>'
})
};
fetch('https://app-api.aide.app/v1/knowledge-documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/knowledge-documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'sourceId' => '<string>',
'collectionId' => '<string>',
'bodyHtml' => '<string>',
'slug' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/knowledge-documents"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"collectionId\": \"<string>\",\n \"bodyHtml\": \"<string>\",\n \"slug\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app-api.aide.app/v1/knowledge-documents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"collectionId\": \"<string>\",\n \"bodyHtml\": \"<string>\",\n \"slug\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/knowledge-documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"collectionId\": \"<string>\",\n \"bodyHtml\": \"<string>\",\n \"slug\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "knowledge_document",
"index": {
"state": "indexed",
"indexedAt": "<string>",
"chunkCount": 123
},
"collection": {
"id": "<string>",
"title": "<string>"
},
"link": "<string>",
"source": {
"name": "<string>",
"id": "<string>",
"kind": "<string>"
},
"slug": "<string>",
"createdAt": "<string>",
"id": "<string>",
"status": "<string>",
"updatedAt": "<string>",
"locale": "<string>",
"kind": "<string>",
"title": "<string>",
"bodyHtml": "<string>",
"canonicalUrl": "<string>",
"document": "<string>",
"excerpt": "<string>",
"helpfulCount": 123,
"isStarred": true,
"labels": [
"<string>"
],
"notHelpfulCount": 123,
"productId": "<string>",
"publishedAt": "<string>",
"timesUsed": 123,
"views": 123
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}KnowledgeDocument
Post v1knowledge documents
POST
/
v1
/
knowledge-documents
cURL
curl --request POST \
--url https://app-api.aide.app/v1/knowledge-documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"sourceId": "<string>",
"collectionId": "<string>",
"bodyHtml": "<string>",
"slug": "<string>"
}
'import requests
url = "https://app-api.aide.app/v1/knowledge-documents"
payload = {
"title": "<string>",
"sourceId": "<string>",
"collectionId": "<string>",
"bodyHtml": "<string>",
"slug": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
sourceId: '<string>',
collectionId: '<string>',
bodyHtml: '<string>',
slug: '<string>'
})
};
fetch('https://app-api.aide.app/v1/knowledge-documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/knowledge-documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'sourceId' => '<string>',
'collectionId' => '<string>',
'bodyHtml' => '<string>',
'slug' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/knowledge-documents"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"collectionId\": \"<string>\",\n \"bodyHtml\": \"<string>\",\n \"slug\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app-api.aide.app/v1/knowledge-documents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"collectionId\": \"<string>\",\n \"bodyHtml\": \"<string>\",\n \"slug\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/knowledge-documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"collectionId\": \"<string>\",\n \"bodyHtml\": \"<string>\",\n \"slug\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "knowledge_document",
"index": {
"state": "indexed",
"indexedAt": "<string>",
"chunkCount": 123
},
"collection": {
"id": "<string>",
"title": "<string>"
},
"link": "<string>",
"source": {
"name": "<string>",
"id": "<string>",
"kind": "<string>"
},
"slug": "<string>",
"createdAt": "<string>",
"id": "<string>",
"status": "<string>",
"updatedAt": "<string>",
"locale": "<string>",
"kind": "<string>",
"title": "<string>",
"bodyHtml": "<string>",
"canonicalUrl": "<string>",
"document": "<string>",
"excerpt": "<string>",
"helpfulCount": 123,
"isStarred": true,
"labels": [
"<string>"
],
"notHelpfulCount": 123,
"productId": "<string>",
"publishedAt": "<string>",
"timesUsed": 123,
"views": 123
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Authorizations
An access token, bound to one account.
Body
application/json
Required string length:
1 - 500Required string length:
1 - 64Required string length:
1 - 64Maximum string length:
500000Maximum string length:
200Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Available options:
draft, published Response
Created
Show child attributes
Show child attributes